# Function process

- process<I, O>(inputs): Generator<GraphQlRequest | Web3Request, (I & O)[], any>

- #### Type Parameters

  - #### I extends Project.LoadCompile.Batch.Compilation<{
    compilation: {
    compiler: {
    name: string;
    version: string;
    };
    sourceIndexes: string[];
    sources: {};
    };
    contract: Contract;
    entry: CompilationInput;
    resources: {
    compilation: undefined | Resources.IdObject<"compilations">;
    };
    result: undefined | Resources.IdObject<"compilations">;
    source: Source;
    }>

  - #### O extends Compilation & {
    compiler: {
    name: string;
    version: string;
    };
    sourceIndexes: string[];
    sources: {};
    } & {
    contracts: Project.LoadCompile.Batch.Contract<{
    compilation: {
    compiler: {
    name: string;
    version: string;
    };
    sourceIndexes: string[];
    sources: {};
    };
    contract: Contract;
    entry: CompilationInput;
    resources: {
    compilation: undefined | Resources.IdObject<"compilations">;
    };
    result: undefined | Resources.IdObject<"compilations">;
    source: Source;
    }>[];
    sources: Source[];
    } & {
    db: {
    compilation: undefined | Resources.IdObject<"compilations">;
    };
    }

  #### Parameters

  - ##### inputs: I[]

  #### Returns Generator<GraphQlRequest | Web3Request, (I & O)[], any>

  - Defined in packages/db/src/project/loadCompile/batch.ts:62

Generated using TypeDoc